/*
 * @Author: zc
 * @description 辅助功能-外部市民管理
 */
import request from '@/utils/request';
/**
 * @description 查询市民列表
 * @param {object} params
 */
export const externalCitizenList = (params: object) => {
  return request({
		url: '/api/v1/Order/externalcitizens-list',
		method: 'get',
		params
	});
};
/**
 * @description 下载外部市民导入模板
 */
export const externalCitizenTemplate = () => {
  return request({
		url: '/api/v1/Order/download-externalcitizens-template',
		method: 'get',
		responseType: 'blob'
	},{
    reduce_data_format:false
  });
};
/**
 * @description 导入外部市民
 * @param {object} data
 */
export const externalCitizenImport = (data: object) => {
  return request({
		url: '/api/v1/Order/import-externalcitizens',
		method: 'post',
		headers: {
			'Content-Type':'multipart/form-data'
		},
		data
	});
};